org.apache.olingo.odata2.client.core.edm.Impl

## Class EdmAnnotationElementImpl

- java.lang.Object
- - org.apache.olingo.odata2.client.core.edm.Impl.EdmAnnotationElementImpl

- All Implemented Interfaces:
    EdmAnnotationElement

      public class EdmAnnotationElementImpl
      extends Object
      implements EdmAnnotationElement

  Objects of this class represent AnnotationElement

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EdmAnnotationElementImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<EdmAnnotationAttribute>` | `getAttributes()` Get the attributes of this custom element
    `List<EdmAnnotationElement>` | `getChildElements()` Get the child elements of the custom element
    `String` | `getName()` Get the name of the custom element
    `String` | `getNamespace()` Get the namespace of the custom element
    `String` | `getPrefix()` Get the prefix of the custom element
    `String` | `getText()` Get the XML data of the custom element
    `void` | `setAttributes(List<EdmAnnotationAttribute> attributes)`
    `void` | `setChildElements(List<EdmAnnotationElement> childElements)`
    `void` | `setName(String name)`
    `void` | `setNamespace(String namespace)`
    `void` | `setPrefix(String prefix)`
    `void` | `setText(String text)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EdmAnnotationElementImpl

          public EdmAnnotationElementImpl()

  - ### Method Detail

    - #### setNamespace

          public void setNamespace(String namespace)

    - #### setPrefix

          public void setPrefix(String prefix)

    - #### setName

          public void setName(String name)

    - #### setText

          public void setText(String text)

    - #### setChildElements

          public void setChildElements(List<EdmAnnotationElement> childElements)

    - #### setAttributes

          public void setAttributes(List<EdmAnnotationAttribute> attributes)

    - #### getName

          public String getName()

      Description copied from interface: `EdmAnnotationElement`
      Get the name of the custom element
      Specified by:
        `getName` in interface `EdmAnnotationElement`
      Returns:
        String

    - #### getNamespace

          public String getNamespace()

      Description copied from interface: `EdmAnnotationElement`
      Get the namespace of the custom element
      Specified by:
        `getNamespace` in interface `EdmAnnotationElement`
      Returns:
        String

    - #### getPrefix

          public String getPrefix()

      Description copied from interface: `EdmAnnotationElement`
      Get the prefix of the custom element
      Specified by:
        `getPrefix` in interface `EdmAnnotationElement`
      Returns:
        String

    - #### getText

          public String getText()

      Description copied from interface: `EdmAnnotationElement`
      Get the XML data of the custom element
      Specified by:
        `getText` in interface `EdmAnnotationElement`
      Returns:
        String

    - #### getChildElements

          public List<EdmAnnotationElement> getChildElements()

      Description copied from interface: `EdmAnnotationElement`
      Get the child elements of the custom element
      Specified by:
        `getChildElements` in interface `EdmAnnotationElement`
      Returns:
        child elements of this `EdmAnnotationElement` or null if no child elements exist

    - #### getAttributes

          public List<EdmAnnotationAttribute> getAttributes()

      Description copied from interface: `EdmAnnotationElement`
      Get the attributes of this custom element
      Specified by:
        `getAttributes` in interface `EdmAnnotationElement`
      Returns:
        the attributes of this `EdmAnnotationElement` or null if no attributes exist

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.